%define name reiserfs-utils
%define version 3.6.25
%define release 7mdk
%define source_progsver 3.x.0b
%define progsver 3.x.0i
#or ftp.botik.ru/rented/alx/reiserfsprogs/
%define ftpurl ftp://ftp.namesys.com/pub/reiserfsprogs
%define url	http://www.namesys.com/

%define realname reiserfs_utils-%{version}-fsck-%{source_progsver}

Summary: The utilities to create Reiserfs volume.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{ftpurl}/%{realname}.tar.bz2
Source1: %{ftpurl}/reiserfsprogs-%{progsver}.tar.bz2
License: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Epoch: 1
Patch: reiserfs_utils-3.6.25-fsck-3.x.0b-mdkconf.patch.bz2
Patch1: reiserfs_utils-3.6.25-fsck-3.x.0b-non-interactive-when-force.patch.bz2
ExcludeArch: ppc
Url: %{url}

%description
Reiserfs is a file system using a plug-in based object oriented
variant on classical balanced tree algorithms. The results when
compared to the ext2fs conventional block allocation based file system
running under the same operating system and employing the same
buffering code suggest that these algorithms are overall more
efficient, and are becoming more so every passing month.  Loosely
speaking, every month we find another performance cranny that needs
work, and we fix it, and every month we find some way of improving our
overall general usage performance. The improvement in small file space
and time performance suggests that we may now revisit a common OS
design assumption that one should aggregate small objects using layers
above the file system layer. Being more effective at small files DOES
NOT make us less effective for other files, this is a general purpose
FS, and our overall traditional FS usage performance is high enough to
establish that. Reiserfs has a commitment to opening up the FS design
to contributions, and we are now now adding plug-ins so that you can
create your own types of directories and files.

%prep
%setup -q -n %{realname} -a 1

rm -rf reiserfsprogs-%{source_progsver}
ln -s reiserfsprogs-%{progsver} reiserfsprogs

%patch0 -p1 -b .chmou
%patch1 -p1

%build
pushd reiserfsprogs-%{progsver}
%configure
popd
%make OPTFLAGS="%optflags"

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}/sbin/ %buildroot%{_mandir}/man8
make install SBIN=%{buildroot}/sbin/ MANDIR=%buildroot%{_mandir}/man8/

ln -s ../bin/true %{buildroot}/sbin/fsck.reiserfs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc reiserfsprogs-%{progsver}/README
%doc reiserfsprogs-%{progsver}/ChangeLog
/sbin/*
%{_mandir}/*/*

%changelog
* Tue Mar 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-7mdk
- 3.x.0i.

* Thu Mar 15 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-6mdk
- 3.x.0h.

* Sat Feb 24 2001 Pixel <pixel@mandrakesoft.com> 3.6.25-5mdk
- non-interactive-when-force option is used (for batch use, like DrakX)

* Tue Feb 20 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-4mdk
- 3.x.0d.

* Mon Jan 29 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-3mdk
- Readd fake fsck.reiserfs.
- Put utils in /sbin and not somewhere else.

* Fri Jan 25 2001 David BAUDENS <baudens@mandrakesoft.com> 3.6.25-2mdk
- ExcludeArch PPC

* Wed Jan 24 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 3.6.25-1mdk
- First version dumped from kernel.
